<?php
/*
=====================================================
Php Installation Wizard - by ZoneCoders
----------------------------------------------------
http://www.zonecoders.com/
http://www.zonecoders.com/forum
-----------------------------------------------------
Copyright (c) 2012-2013 ZoneCoders
=====================================================
THIS IS COPYRIGHTED SOFTWARE
It is strictly prohibited to resale,redistribuite or modify this script or to use on your projects if you do not have a license from ZoneCoders.
PLEASE READ THE LICENSE AGREEMENT
http://www.zonecoders.com/read/License-agreement.html
=====================================================
*/
?>
<h3>Step 2 out of 6 - General Server Requirements</h3>
<!-- Step 1 -->
<form action="" method="get">
<input type="hidden" name="url" value="<?php echo $url;?>">
<input type="hidden" name="path" value="<?php echo $path;?>">
<input type="hidden" name="host" value="<?php echo $hostname;?>">
<input type="hidden" name="user" value="<?php echo $username;?>">
<input type="hidden" name="pass" value="<?php echo $password;?>">
<input type="hidden" name="a_username" value="<?php echo $a_username;?>">
<input type="hidden" name="name" value="<?php echo $name;?>">
<input type="hidden" name="a_email" value="<?php echo $a_email;?>">
<input type="hidden" name="a_password" value="<?php echo $a_password;?>">
<p>Please ensure you read through the results thoroughly and do not proceed until all the required tests are passed.</p>
<h3>Required PHP settings</h3>
<table>
<?php 
$error = '';
if (PHP_VERSION >= phpversion) {
$version_res = '<span style="color:green">ok</span>';
$version = PHP_VERSION;
$error .= '';
}else{
$version_res = '<span style="color:red">failed</span>';
$version = PHP_VERSION;
$error .= 'Php version must be greater than '.phpversion.'';
}
?>
<tr><td width="200px">PHP Version:</td><td><?php echo $version;?> <?php echo $version_res;?></td></tr>
<?php
if((short_open_tag == 'true') && (ini_get('short_open_tag') == 1)){
$short_open_tag = 'Yes <span style="color:green">ok</span>';
$error .= '';
}else if((short_open_tag == 'true') && (ini_get('short_open_tag') == 0)){
$short_open_tag = 'Yes <span style="color:red">failed</span>';
$error .= 'short_open_tag must be enabled on your server';
}else if((short_open_tag == 'false') && (ini_get('short_open_tag') == 0)){
$short_open_tag = 'No <span style="color:green">ok</span>';
$error .= '';
}else if((short_open_tag == 'false') && (ini_get('short_open_tag') == 1)){
$short_open_tag = 'No <span style="color:red">failed</span>';
$error .= 'short_open_tag must be disabled on your server';
}
?>
<tr><td>short_open_tag:</td><td><?php echo $short_open_tag;?></td></tr>
<?php
if((register_globals == 'true') && (ini_get('register_globals') == 1)){
$register_globals = 'Yes <span style="color:green">ok</span>';
$error .= '';
}else if((register_globals == 'true') && (ini_get('register_globals') == 0)){
$register_globals = 'Yes <span style="color:red">failed</span>';
$error .= 'register_globals must be enabled on your server';
}else if((register_globals == 'false') && (ini_get('register_globals') == 0)){
$register_globals = 'No <span style="color:green">ok</span>';
$error .= '';
}else if((register_globals == 'false') && (ini_get('register_globals') == 1)){
$register_globals = 'No <span style="color:red">failed</span>';
$error .= 'register_globals must be disabled on your server';
}
?>
<tr><td>register_globals:</td><td><?php echo $register_globals;?></td></tr>
<?php
if((safe_mode == 'true') && (ini_get('safe_mode') == 1)){
$safe_mode = 'Yes <span style="color:green">ok</span>';
$error .= '';
}else if((safe_mode == 'true') && (ini_get('safe_mode') == 0)){
$safe_mode = 'Yes <span style="color:red">failed</span>';
$error .= 'safe_mode must be enabled on your server';
}else if((safe_mode == 'false') && (ini_get('safe_mode') == 0)){
$safe_mode = 'No <span style="color:green">ok</span>';
$error .= '';
}else if((safe_mode == 'false') && (ini_get('safe_mode') == 1)){
$safe_mode = 'No <span style="color:red">failed</span>';
$error .= 'safe_mode must be disabled on your server';
}
echo ini_get('mysql');
?>
<tr><td>safe_mode:</td><td><?php echo $safe_mode;?></td></tr>
<?php 
if (str_replace('M','',ini_get('upload_max_filesize')) >= str_replace('M', '',upload_max_filesize)) {
$upload_max_filesize = upload_max_filesize.' <span style="color:green">ok</span>';
$error .= '';
}else{
$upload_max_filesize = upload_max_filesize.' <span style="color:red">failed</span>';
$error .= 'upload_max_filesize must be greater or equal to '.upload_max_filesize.'';
}
?>
<tr><td>upload_max_filesize:</td><td><?php echo $upload_max_filesize;?></td></tr>
</table>
<h3>Required PHP modules</h3>

<table>
<tr><td width="200px">MySQL:</td><td><?php echo (extension_loaded("mysql") == 1 ? 'Available' : 'No Available');?></td></tr>
<tr><td width="200px">MySQLi:</td><td><?php echo (extension_loaded("mysqli") == 1 ? 'Available' : 'No Available');?></td></tr>
</table>

<h3>Folders and files</h3>
<table>
<?php 
$i = 0;
while ($i < count($arr)) {
   $a = $arr[$i];
if(is_writable($a)){
$status = '<span style="color:green">ok</span>';
$error .= '';
}else{
$status = '<span style="color:red">failed</span>';
$error .= $a.' must be writable';
}
   echo "<tr><td width='200px'>$a</td><td>$status</td></tr>";
   $i++;
}
?> 

</table>
<?php
if (empty($error)) {
?>

<table>
<tr><td><button class="button_black pointer" type="submit" name="action" value="step1">Back</button></td><td><button class="button_red pointer" type="submit" name="action" value="step3">Next</button></td></tr>

</table>
</form>
<?php } ?>